/**
 * A simple counter class that can be initialized to
 * a specific value, incremented, and decremented.
 */

public class Counter
{
    int myCount;

    /**
     * Construct a counter whose value is zero.
     */
    public Counter()
    {
	myCount = 0;
    }

    /**
     * Construct a counter with given initial value.
     * @param init is the initial value of the counter
     */

    public Counter(int init)
    {
	myCount = init;
    }

    /**
     * Returns the value of the counter.
     * @return the value of the counter
     */
    public int getCount()
    {
	return myCount;
    }

    /**
     * Increase the value of the counter by one.
     */
    public void incCount()
    {
	myCount++;
    }

     /**
     * Decrease the value of the counter by one.
     */
    public void decCount()
    {
	myCount--;
    }
}

